package com.jxy.marketall.mapper;

import com.jxy.common.datasource.annotation.BTCDB;
import com.jxy.marketall.dto.DateBigDecimalDto;
import com.jxy.marketall.dto.DateBigDecimalsDto;
import com.jxy.marketall.dto.MempoolTransactionDto;
import com.jxy.marketall.dto.RelativeSupplyDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@BTCDB
public interface BTCV2Mapper{

    public List<DateBigDecimalDto> getListByTableAndField(@Param("table") String table, @Param("field") String field);

    public List<DateBigDecimalDto> getProfitAddressList();

    public List<DateBigDecimalDto> getLossAddressList();

    public List<DateBigDecimalDto> getProfitRatioList();

    public List<DateBigDecimalDto> getLthSupplyList();

    public List<DateBigDecimalDto> getSthSupplyList();

    public List<DateBigDecimalDto> getRealizedPriceList();

    public List<DateBigDecimalDto> getRelativeSupplyList();

    public List<RelativeSupplyDto> getLthSthSupplyDistributionList();

    public List<DateBigDecimalDto> getLthProfitSupplyList();

    public List<DateBigDecimalDto> getSthProfitSupplyList();

    public List<DateBigDecimalDto> getLthLossSupplyList();

    public List<DateBigDecimalDto> getSthLossSupplyList();

    public List<DateBigDecimalDto> getSthProfitRatioList();

    public List<DateBigDecimalDto> getLthProfitRatioList();

    public List<DateBigDecimalDto> getSLRVRatioList();

    public List<DateBigDecimalDto> getLthVolumeList();

    public List<DateBigDecimalDto> getFeeRatioMultipleList();

    public List<DateBigDecimalDto> getCVDDList();

    public List<DateBigDecimalDto> getBalancedPriceList();

    public List<DateBigDecimalDto> getNVTRatioList();

    public List<DateBigDecimalDto> getVelocityList();

    public List<MempoolTransactionDto> getMempoolTransation();

    public List<DateBigDecimalsDto> getProfitAndLoss();

    public List<DateBigDecimalsDto> getNVTRatioAndVolume();




}
